Package org.jboss.logmanager.filters

# Class LevelChangingFilter

java.lang.Object
org.jboss.logmanager.filters.LevelChangingFilter

All Implemented Interfaces:
  `Filter`

public final class LevelChangingFilter extends Object implements Filter
A filter which modifies the log record with a new level if the nested filter evaluates `true` for that record.

## Constructor Summary

Constructors
Constructor
Description
`LevelChangingFilter(Level newLevel)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isLoggable(LogRecord record)`
Apply the filter to this log record.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LevelChangingFilter

public LevelChangingFilter(Level newLevel)
Construct a new instance.

Parameters:
  `newLevel` - the level to change to

## Method Details

### isLoggable

public boolean isLoggable(LogRecord record)
Apply the filter to this log record.

Specified by:
  `isLoggable` in interface `Filter`
Parameters:
  `record` - the record to inspect and possibly update
Returns:
  `true` always